Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn
Class JAZNException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--oracle.security.jazn.JAZNException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  JAZNNamingException, JAZNObjectExistsException, JAZNObjectNotFoundException

public class JAZNException
extends Exception

An JAZNException represents an authorization exception.

See Also:
  Serialized Form

Constructor Summary
`JAZNException()` Creates a new instance of JAZNException
`JAZNException(String msg)` Creates a new instance of JAZNException with the specified arguments
`JAZNException(String msg, Throwable cause)` Creates a new instance of JAZNException with the specified arguments

Method Summary
`Throwable` | `getCause()` Retrieves the causing exception of this JAZNException, if any.
`Throwable` | `initCause(Throwable cause)` Sets the causing exception of this exception.
`void` | `printStackTrace()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JAZNException

    public JAZNException()

  Creates a new instance of JAZNException

### JAZNException

    public JAZNException(String msg)

  Creates a new instance of JAZNException with the specified arguments

### JAZNException

    public JAZNException(String msg,
    Throwable cause)

  Creates a new instance of JAZNException with the specified arguments

Method Detail

### getCause

    public Throwable getCause()

  Retrieves the causing exception of this JAZNException, if any.
  Overrides:
    `getCause` in class `Throwable`
  Returns:
    The possibly null exception that caused this authorization exception. If null, it means there is no causing exception for this authorization exception.
  See Also:
    `initCause(java.lang.Throwable)`

### initCause

    public Throwable initCause(Throwable cause)

  Sets the causing exception of this exception. If `e` is `this`, this method does no do anything.
  Overrides:
    `initCause` in class `Throwable`
  See Also:
    `getCause()`

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002, 2003 Oracle Corporation. All Rights Reserved.